%define debug_package %{nil}
%define timezonefile %_sysconfdir/php.d/00_op5_timezone.ini
%define phpconfdir %_sysconfdir/php.d
%define phpfpmconfdir %_sysconfdir/php-fpm.d
%define httpconfdir %_sysconfdir/httpd/conf.d

Summary: OP5 Monitor web server configuration and requirements
Name: op5-httpd
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
Group: op5/system-addons
License: MIT
Prefix: %repodir
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: httpd
Requires: php-common
Requires: mod_ssl
Requires: php
Requires: monitor_mod_security_crs
%if 0%{?rhel} >= 8
Requires: php-fpm
%endif
%systemd_requires
Provides: op5-monitor-supported-webserver

%description
%{summary}.

%prep
%setup -q

%build

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%repodir

install -d %buildroot%_docdir/op5-httpd-%{version}
install README.op5-monitor-supported-webservers %buildroot%_docdir/op5-httpd-%{version}/README
install -d %buildroot%httpconfdir
install -m 644 op5-httpd-rewrite-rule.conf %buildroot%httpconfdir/op5-rewrite-rule.conf
install -m 644 op5-httpd-header-options.conf %buildroot%httpconfdir/op5-header-options.conf
install -m 644 op5-httpd-method-trace-track.conf %buildroot%httpconfdir/op5-method-trace-track.conf
mkdir -p -m 755 %buildroot%_sysconfdir/php.d
install -m 644 000_op5_php.ini %buildroot%phpconfdir/000_op5_php.ini
touch %buildroot%timezonefile
%if 0%{?rhel} >= 8
mkdir -p -m 755 %buildroot%_sysconfdir/php-fpm.d
install -m 644 000-op5-fpm-www.conf %buildroot%phpfpmconfdir/000-op5-fpm-www.conf
%endif

%post
if ! php -r 'if (! ini_get("date.timezone")) exit(1);'; then
	# PHP date.timezone is not set - set it to system timezone.
	%if 0%{?rhel} >= 8
		system_timezone=$(timedatectl show | awk -F= '/^Timezone=/ { print $2 }')
	%else
		system_timezone=$(/usr/bin/timedatectl 2>/dev/null | grep 'Time zone' | awk '{ print $3 }')
	%endif
	if [ -z "$system_timezone" ]; then
		echo "%{name}: Couldn't figure out system timezone, using UTC (can be configured in %{timezonefile})"
		system_timezone=UTC
	fi
	echo "date.timezone = $system_timezone" > %timezonefile
fi
systemctl enable httpd &>/dev/null || :
systemctl restart httpd &>/dev/null || :

%files
%defattr(-, root, root)
%doc %_docdir/op5-httpd-%{version}/README
%config %httpconfdir/op5-rewrite-rule.conf
%config %httpconfdir/op5-header-options.conf
%config %httpconfdir/op5-method-trace-track.conf
%config %phpconfdir/000_op5_php.ini
%config(noreplace) %attr(644, root, root) %ghost %timezonefile
%if 0%{?rhel} >= 8
%config %phpfpmconfdir/000-op5-fpm-www.conf
%endif

%clean
rm -rf %buildroot

%changelog
* Thu Nov 11 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Fix custom php timezone config for EL8.
- Remove conditionals for unsupported operating systems.
